Đến nội dung


Hình ảnh
- - - - -

Lấy dữ liệu ở ACAD_PROXY_ENTITY


  • Please log in to reply
1 reply to this topic

#1 dkkx3a

dkkx3a

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 07 October 2009 - 07:47 AM

Mình làm việc trong bản vẽ có các đối tượng cao độ là các đối tượng ACAD_PROXY_ENTITY có dạng: tênghichú_caođộ..._, nhưng em chỉ muốn lấy lại các TEXT cao độ thôi, khi dùng lệnh (entget(car(entsel))) thì được chuỗi sau:
((-1 . ) (0 . "ACAD_PROXY_ENTITY") (5 .
"12E") (102 . "{ACAD_XDICTIONARY") (360 . ) (102 . "}")
(330 . ) (100 . "AcDbEntity") (67 . 0) (410 . "Model")
(8 . "CAODO"))

Không có thông số muốn lấy, Xin nhờ các bác chỉ hộ cách lây các dữ liệu giá trị trong các ACAD_PROXY_ENTITY. Thanks
Đây là đối tượng kiểu kiểu như vậy: http://www.cadviet.c...roxy_entity.dwg
  • 0
TỰ SỰ
Biển vào chiều buồn giữa cô liêu
Sóng vỗ bờ bạc đầu con nước
Khi biển động như lòng ta chợt động
Biển ồn ào nhưng thực rất dịu êm.......

#2 dkkx3a

dkkx3a

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 07 October 2009 - 08:58 PM

Mình làm việc trong bản vẽ có các đối tượng cao độ là các đối tượng ACAD_PROXY_ENTITY có dạng: tênghichú_caođộ..._, nhưng em chỉ muốn lấy lại các TEXT cao độ thôi, khi dùng lệnh (entget(car(entsel))) thì được chuỗi sau:
((-1 . ) (0 . "ACAD_PROXY_ENTITY") (5 .
"12E") (102 . "{ACAD_XDICTIONARY") (360 . ) (102 . "}")
(330 . ) (100 . "AcDbEntity") (67 . 0) (410 . "Model")
(8 . "CAODO"))

Không có thông số muốn lấy, Xin nhờ các bác chỉ hộ cách lây các dữ liệu giá trị trong các ACAD_PROXY_ENTITY. Thanks
Đây là đối tượng kiểu kiểu như vậy: http://www.cadviet.c...roxy_entity.dwg





Sao không ai giúp vậy nè. Bùn quá tự mày mò thì không ra....................Chắc không ai tìm hiểu cái này. Bótay.ORG.com
  • 0
TỰ SỰ
Biển vào chiều buồn giữa cô liêu
Sóng vỗ bờ bạc đầu con nước
Khi biển động như lòng ta chợt động
Biển ồn ào nhưng thực rất dịu êm.......